Index: c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -98,8 +98,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -113,5 +112,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/atsam/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/atsam/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/atsam/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -11,10 +11,9 @@
 dist_project_lib_DATA = bsp_specs
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
-project_lib_DATA =
-project_lib_DATA += start.$(OBJEXT)
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
+
 project_lib_DATA += startup/linkcmds
 project_lib_DATA += startup/linkcmds.memory
@@ -327,5 +326,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/beagle/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/beagle/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/beagle/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -54,8 +54,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -69,5 +68,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/csb336/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb336/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/csb336/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/arm/csb337/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb337/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/csb337/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -48,7 +48,7 @@
 endif
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -59,5 +59,5 @@
 EXTRA_DIST += README.kit637_v6
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 # startup
Index: c/src/lib/libbsp/arm/edb7312/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,11 +21,12 @@
 include_HEADERS += include/ep7312.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/arm/gdbarmsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -24,11 +24,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../shared/start/start.S
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/arm/gumstix/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/imx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/imx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/imx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -53,8 +53,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -66,5 +65,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/lm3s69xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -13,10 +13,9 @@
 dist_project_lib_DATA = bsp_specs
 
-noinst_LIBRARIES = libbspstart.a
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES = ../shared/start/start.S
-
-project_lib_DATA =
-project_lib_DATA += start.$(OBJEXT)
 project_lib_DATA += startup/linkcmds
 
@@ -55,5 +54,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/lpc176x/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -67,8 +67,7 @@
 # ----------------------------
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 project_lib_DATA += startup/linkcmds
@@ -83,5 +82,5 @@
 # ----------------------------
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/lpc24xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -60,8 +60,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -86,5 +85,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/lpc32xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -57,8 +57,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -75,5 +74,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/raspberrypi/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -60,8 +60,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -73,5 +72,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -56,8 +56,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -70,5 +69,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/rtl22xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/arm/smdk2410/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -23,11 +23,12 @@
 DISTCLEANFILES = include/bspopts.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/arm/stm32f4/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -13,10 +13,9 @@
 dist_project_lib_DATA = bsp_specs
 
-noinst_LIBRARIES = libbspstart.a
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES = ../shared/start/start.S
-
-project_lib_DATA =
-project_lib_DATA += start.$(OBJEXT)
 project_lib_DATA += startup/linkcmds
 
@@ -70,5 +69,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/tms570/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/tms570/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/tms570/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -92,8 +92,7 @@
 # ----------------------------
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 project_lib_DATA += startup/linkcmds
@@ -108,5 +107,5 @@
 # ----------------------------
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -55,8 +55,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = ../shared/start/start.S
-
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -67,5 +66,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/bfin/TLL6527M/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../shared/start/start.S
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES = \
Index: c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -19,11 +19,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/bfin/eZKit533/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../shared/start/start.S
+EXTRA_DIST += ../shared/start/start.S
+start.$(OBJEXT): ../shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am
===================================================================
--- c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -38,9 +38,9 @@
 #                  Data                                                       #
 ###############################################################################
-noinst_LIBRARIES = libbspstart.a
 
-libbspstart_a_SOURCES = start/start.S
-
-project_lib_DATA = start/start.$(OBJEXT)
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
 
 project_lib_DATA += startup/linkcmds
@@ -50,5 +50,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 # Startup
Index: c/src/lib/libbsp/epiphany/epiphany_sim/preinstall.am
===================================================================
--- c/src/lib/libbsp/epiphany/epiphany_sim/preinstall.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/epiphany/epiphany_sim/preinstall.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -91,5 +91,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bspopts.h
 
-$(PROJECT_LIB)/start.$(OBJEXT): start/start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
 TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -46,6 +46,7 @@
 include_HEADERS += include/crt.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -67,5 +68,5 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/lm32/lm32_evr/Makefile.am
===================================================================
--- c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 include_HEADERS += include/system_conf.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../lm32/shared/start/start.S
+EXTRA_DIST += ../../lm32/shared/start/start.S
+start.$(OBJEXT): ../../lm32/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 libbsp_a_LIBADD =
Index: c/src/lib/libbsp/lm32/milkymist/Makefile.am
===================================================================
--- c/src/lib/libbsp/lm32/milkymist/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/lm32/milkymist/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -36,11 +36,12 @@
 include_HEADERS += include/system_conf.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../lm32/shared/start/start.S
+EXTRA_DIST += ../../lm32/shared/start/start.S
+start.$(OBJEXT): ../../lm32/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 libbsp_a_LIBADD =
Index: c/src/lib/libbsp/m68k/av5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/csb360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 EXTRA_DIST += times
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/gen68340/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -23,11 +23,12 @@
 include_HEADERS += include/m68349.inc
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/gen68360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -16,13 +16,13 @@
 noinst_PROGRAMS =
 
-
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
-project_lib_DATA = start.$(OBJEXT)
-
 dist_project_lib_DATA += startup/linkcmds startup/linkcmds.prom \
     startup/linkcmds.bootp
 
-noinst_LIBRARIES += libbsp.a
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
+
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/gen68360/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/preinstall.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/gen68360/preinstall.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -54,8 +54,4 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/bootcard.h
 
-$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
-
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
@@ -70,2 +66,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.bootp
 
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
+
Index: c/src/lib/libbsp/m68k/genmcf548x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,6 +22,8 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA = bsp_specs
@@ -30,8 +32,7 @@
 dist_project_lib_DATA += startup/linkcmds.m5484FireEngine
 
-project_lib_DATA = start.$(OBJEXT)
 project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 libbsp_a_CPPFLAGS =
Index: c/src/lib/libbsp/m68k/genmcf548x/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/preinstall.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/genmcf548x/preinstall.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -62,4 +62,8 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
 
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
+
 $(PROJECT_LIB)/bsp_specs: bsp_specs $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/bsp_specs
@@ -78,8 +82,4 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.m5484FireEngine
 
-$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
-
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
Index: c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -25,6 +25,7 @@
 EXTRA_DIST += times
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -32,5 +33,5 @@
     startup/linkcmds.flash
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mcf52235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mcf5225x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES = \
     ../../shared/bspclean.c \
Index: c/src/lib/libbsp/m68k/mcf5235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -17,13 +17,13 @@
 noinst_PROGRAMS =
 
-
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
-project_lib_DATA = start.$(OBJEXT)
-
 dist_project_lib_DATA += startup/linkcmds startup/linkcmdsflash \
     startup/linkcmdsram
 
-noinst_LIBRARIES += libbsp.a
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = start.$(OBJEXT)
+
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mcf5235/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/preinstall.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf5235/preinstall.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -54,8 +54,4 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/bootcard.h
 
-$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
-
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
@@ -70,2 +66,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmdsram
 
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
+
Index: c/src/lib/libbsp/m68k/mcf5329/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds startup/linkcmdsflash
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mrm332/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 EXTRA_DIST += times
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mvme147/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 include_rtems_zilog_HEADERS = ../../shared/include/zilog/z8530.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../m68k/shared/start/start.S
+EXTRA_DIST += ../../m68k/shared/start/start.S
+start.$(OBJEXT): ../../m68k/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mvme147s/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 include_rtems_zilog_HEADERS = ../../shared/include/zilog/z8530.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../m68k/shared/start/start.S
+EXTRA_DIST += ../../m68k/shared/start/start.S
+start.$(OBJEXT): ../../m68k/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -25,11 +25,12 @@
 include_rtems_zilog_HEADERS = ../../shared/include/zilog/z8036.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../m68k/shared/start/start.S
+EXTRA_DIST += ../../m68k/shared/start/start.S
+start.$(OBJEXT): ../../m68k/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/mvme167/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,11 +21,12 @@
 nodist_include_HEADERS += $(top_srcdir)/../shared/mvme/mvme16x_hw.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../m68k/shared/start/start.S
+EXTRA_DIST += ../../m68k/shared/start/start.S
+start.$(OBJEXT): ../../m68k/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/m68k/uC5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/csb350/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/csb350/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/csb350/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -24,11 +24,12 @@
 noinst_PROGRAMS =
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S ../shared/liblnk/regs.h
+EXTRA_DIST += start/start.S ../shared/liblnk/regs.h
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/hurricane/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -23,11 +23,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -23,11 +23,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S ../shared/liblnk/regs.h
+EXTRA_DIST += start/start.S ../shared/liblnk/regs.h
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/malta/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/malta/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/malta/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -28,11 +28,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S ../shared/liblnk/regs.h
+EXTRA_DIST += start/start.S ../shared/liblnk/regs.h
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/rbtx4925/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -24,11 +24,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/mips/rbtx4938/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -24,11 +24,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/moxie/moxiesim/Makefile.am
===================================================================
--- c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -22,11 +22,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/nios2/nios2_iss/Makefile.am
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -19,12 +19,15 @@
 
 EXTRA_DIST += times
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/crtnn.S
-libbspstart_a_SOURCES += start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
+EXTRA_DIST += start/crtnn.S
+crtnn.$(OBJEXT): start/crtnn.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT) crtnn.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 libbsp_a_CPPFLAGS =
Index: c/src/lib/libbsp/or1k/generic_or1k/Makefile.am
===================================================================
--- c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -43,8 +43,7 @@
 ###############################################################################
 
-noinst_LIBRARIES = libbspstart.a
-
-libbspstart_a_SOURCES = start/start.S
-
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -56,5 +55,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 libbsp_a_SOURCES =
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -23,9 +23,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -39,5 +42,5 @@
 EXTRA_DIST += startup/linkcmds.dp2
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/gen83xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -33,9 +33,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -49,5 +52,5 @@
     startup/linkcmds.hsc_cm01
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/haleakala/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -18,11 +18,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = rtems_crti.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -26,12 +26,17 @@
 include_HEADERS += ../../powerpc/shared/include/nvram.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../powerpc/shared/start/start.S
+EXTRA_DIST += ../../powerpc/shared/start/start.S
+start.$(OBJEXT): ../../powerpc/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/vectors_entry.S
+EXTRA_DIST += ../../powerpc/shared/start/vectors_entry.S
+vectors_entry.$(OBJEXT): ../../powerpc/shared/start/vectors_entry.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += vectors_entry.$(OBJEXT)
 
@@ -39,5 +44,5 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -14,9 +14,12 @@
 noinst_PROGRAMS =
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -40,5 +43,5 @@
 dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_base
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,12 +21,15 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/psim/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,9 +21,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -31,5 +34,5 @@
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/qemuppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -19,9 +19,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -56,5 +59,5 @@
 irq_SOURCES += irq/irq_init.c
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES = $(startup_SOURCES) $(clock_SOURCES) $(console_SOURCES) \
     $(irq_SOURCES)
Index: c/src/lib/libbsp/powerpc/qoriq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -43,12 +43,17 @@
 include_uapi_asm_HEADERS += include/uapi/asm/epapr_hcalls.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crtn.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crtn.S
+rtems_crtn.$(OBJEXT): ../../powerpc/shared/start/rtems_crtn.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crtn.$(OBJEXT)
 
@@ -61,5 +66,5 @@
 	startup/linkcmds.qoriq_e6500_64
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/t32mppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -29,9 +29,12 @@
 	../shared/include/linker-symbols.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -40,5 +43,5 @@
 	startup/linkcmds.t32mppc
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -24,9 +24,12 @@
     spi/spi.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -35,5 +38,5 @@
 EXTRA_DIST += startup/linkcmds.tqm8xx
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/powerpc/virtex/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -28,9 +28,12 @@
 include_bsp_HEADERS += ../shared/include/linker-symbols.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
-libbspstart_a_SOURCES += ../../powerpc/shared/start/rtems_crti.S
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
 
@@ -39,5 +42,5 @@
 dist_project_lib_DATA += ../shared/startup/linkcmds.base
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 libbsp_a_LIBADD =
Index: c/src/lib/libbsp/powerpc/virtex4/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,11 +21,12 @@
 
 # start
-noinst_LIBRARIES      = libbspstart.a
-libbspstart_a_SOURCES = ../../powerpc/shared/start/rtems_crti.S
-project_lib_DATA      = rtems_crti.$(OBJEXT)
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = rtems_crti.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 # startup
Index: c/src/lib/libbsp/powerpc/virtex5/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 
 # start
-noinst_LIBRARIES      = libbspstart.a
-libbspstart_a_SOURCES = ../../powerpc/shared/start/rtems_crti.S
-project_lib_DATA      = rtems_crti.$(OBJEXT)
+EXTRA_DIST += ../../powerpc/shared/start/rtems_crti.S
+rtems_crti.$(OBJEXT): ../../powerpc/shared/start/rtems_crti.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA = rtems_crti.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 # startup
Index: c/src/lib/libbsp/riscv/riscv_generic/Makefile.am
===================================================================
--- c/src/lib/libbsp/riscv/riscv_generic/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/riscv/riscv_generic/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -38,8 +38,8 @@
 #                  Data                                                       #
 ###############################################################################
-noinst_LIBRARIES = libbspstart.a
 
-libbspstart_a_SOURCES = start/start.S
-
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -50,5 +50,5 @@
 ###############################################################################
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 
 # Startup
Index: c/src/lib/libbsp/sh/gensh1/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -26,11 +26,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sh/gensh2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -29,6 +29,7 @@
 
 EXTRA_DIST += start/start.ram start/start.rom
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -36,5 +37,5 @@
     startup/linkcmds.rom
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sh/gensh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -28,6 +28,7 @@
 include_HEADERS += include/sdram.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -35,5 +36,5 @@
     startup/linkcmds.rom2ram
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sh/shsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sh/shsim/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -19,11 +19,12 @@
 
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = start/start.S
+EXTRA_DIST += start/start.S
+start.$(OBJEXT): start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sparc/erc32/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -20,11 +20,12 @@
 include_HEADERS += include/erc32.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../sparc/shared/start/start.S
+EXTRA_DIST += ../../sparc/shared/start/start.S
+start.$(OBJEXT): ../../sparc/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds ../shared/startup/linkcmds.base
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sparc/leon2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,6 +21,7 @@
 include_HEADERS += include/leon.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../sparc/shared/start/start.S
+EXTRA_DIST += ../../sparc/shared/start/start.S
+start.$(OBJEXT): ../../sparc/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -30,5 +31,5 @@
 dist_project_lib_DATA += startup/linkcmds.at697f
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
Index: c/src/lib/libbsp/sparc/leon3/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision 33a2faaa6802a80e23991a7b106acf7292ba9272)
+++ c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision ec32100797b0a55cfcf372c89d41de3fad598ff5)
@@ -21,6 +21,7 @@
 include_HEADERS += include/leon.h
 
-noinst_LIBRARIES = libbspstart.a
-libbspstart_a_SOURCES = ../../sparc/shared/start/start.S
+EXTRA_DIST += ../../sparc/shared/start/start.S
+start.$(OBJEXT): ../../sparc/shared/start/start.S
+	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA = start.$(OBJEXT)
 
@@ -33,5 +34,5 @@
 dist_project_lib_DATA += startup/linkcmds.gr740
 
-noinst_LIBRARIES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
 
